de.dhbwstuttgart.syntaxtree

## Class ImportDeclarations

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<A>
      - - de.dhbwstuttgart.typeinference.Menge<UsedId>
        - - de.dhbwstuttgart.syntaxtree.ImportDeclarations

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<UsedId>, java.util.Collection<UsedId>, java.util.List<UsedId>, java.util.RandomAccess

      public class ImportDeclarations
      extends Menge<UsedId>

  HOTI 4.5.06 Auch wenn es nicht so aussieht, hat diese Klasse einen Sinn :-) Der Parser kann keine Generischen Typen darstellen, damit trotzdem an amap Stellen die Typsicherheit gewÃ¤hrleistet ist, hier eine Kapselung...
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportDeclarations()`

  - ### Method Summary

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, removeRange, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ImportDeclarations

          public ImportDeclarations()